Bug 476903 - RSS GLX screensavers don't work under KDE4 as a screensaver
RSS GLX screensavers don't work under KDE4 as a screensaver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rss-glx (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 16:01 EST by mark gress
Modified: 2009-01-05 09:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:43:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mark gress 2008-12-17 16:01:34 EST
Description of problem:  When set as a screensaver via KDE4 (kmenu > System > System Settings > Desktop > Screensavers ) nothing happens.

Version-Release number of selected component (if applicable):  Yum has me up to date/Most current.

How reproducible:  Always

Steps to Reproduce:
1.Install RSS-GLX-KDE and dependencies via Yum
2.Select a RSS screensaver in the control panel
3.Click the "test" button or let the screensaver timeframe expire.  Results are the same either way.
  
Actual results:  The screen either goes blank, or the screen stutters and the mouse cursor disappears while the rest of the screen remains unchanged.

Expected results: A 3d screensaver.

Additional info: from factory install I have two screensavers, blank screen and random.  If I take the executable for any of the RSSGLX screensavers, rename it as krandom.kss and then replace the existing krandom.kss file with the renamed RSS file, when the screensaver timeframe expires and the system automatically kicks on the screensaver it works as expected about 30% of the time.

If I go to a command prompt and type in the name of said rssglx screensaver, they open up as a separate application in a new window and appear to work every time.
Comment 1 Rex Dieter 2008-12-22 09:48:42 EST
mind you, I'm testing kde-4.2(beta2), but upon installing rss-glx-kde, I don't see a "Really Slick" group of screensavers at all.
Comment 2 Nils Philippsen 2008-12-22 11:54:33 EST
I had a fixed package for a few days, but Rawhide building problems held this up; rss-glx-0.8.2.p-1.fc10 is building right now.
Comment 3 Fedora Update System 2008-12-22 12:05:09 EST
rss-glx-0.8.2.p-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rss-glx-0.8.2.p-1.fc10
Comment 4 Fedora Update System 2008-12-24 13:38:33 EST
rss-glx-0.8.2.p-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rss-glx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11779
Comment 5 Fedora Update System 2008-12-24 13:40:36 EST
rss-glx-0.8.2.p-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rss-glx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11816
Comment 6 Fedora Update System 2008-12-30 18:42:59 EST
rss-glx-0.8.2.p-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-30 18:43:13 EST
rss-glx-0.8.2.p-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 mark gress 2009-01-01 08:10:00 EST
The screensavers work as advertised, thanks.

However, in the KDE4 desktop control panel > screensavers

When I click on the "setup" button I get a KSXconfig error.

"No configuration available for Biof (GL)"

This happens for all of them.  I tried uninstalling the RSSGLX and related packages/deps and reinstalling, still there.

Again, thanks.  KDE4 is still rather new, could just be a bug that'll clear itself up with the 4.2 release.
Comment 9 Rex Dieter 2009-01-01 09:58:04 EST
That sounds like a separate problem (I can reproduce using kde-4.2-beta2).
Comment 10 Nils Philippsen 2009-01-05 07:21:47 EST
(In reply to comment #9)
> That sounds like a separate problem (I can reproduce using kde-4.2-beta2).

A problem with rss-glx or KDE?
Comment 11 Rex Dieter 2009-01-05 09:20:12 EST
It's specific to rss-glx (so without any contrary evidence, that's where the issue lies).

Note You need to log in before you can comment on or make changes to this bug.